diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/model/tcp-socket-base.h ns-3.44/src/internet/model/tcp-socket-base.h
--- ns-3.43/src/internet/model/tcp-socket-base.h	2024-10-09 16:41:09.892655800 -0700
+++ ns-3.44/src/internet/model/tcp-socket-base.h	2025-03-09 16:55:49.411371200 -0700
@@ -43,23 +43,23 @@
 class TcpRateOps;
 
 /**
- * \ingroup tcp
+ * @ingroup tcp
  *
- * \brief Helper class to store RTT measurements
+ * @brief Helper class to store RTT measurements
  */
 class RttHistory
 {
   public:
     /**
-     * \brief Constructor - builds an RttHistory with the given parameters
-     * \param s First sequence number in packet sent
-     * \param c Number of bytes sent
-     * \param t Time this one was sent
+     * @brief Constructor - builds an RttHistory with the given parameters
+     * @param s First sequence number in packet sent
+     * @param c Number of bytes sent
+     * @param t Time this one was sent
      */
     RttHistory(SequenceNumber32 s, uint32_t c, Time t);
     /**
-     * \brief Copy constructor
-     * \param h the object to copy
+     * @brief Copy constructor
+     * @param h the object to copy
      */
     RttHistory(const RttHistory& h); // Copy constructor
   public:
@@ -70,10 +70,10 @@
 };
 
 /**
- * \ingroup socket
- * \ingroup tcp
+ * @ingroup socket
+ * @ingroup tcp
  *
- * \brief A base class for implementation of a stream socket using TCP.
+ * @brief A base class for implementation of a stream socket using TCP.
  *
  * This class contains the essential components of TCP, as well as a sockets
  * interface for upper layers to call. This class provides connection orientation
@@ -210,20 +210,20 @@
   public:
     /**
      * Get the type ID.
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
     /**
-     * \brief Get the instance TypeId
-     * \return the instance TypeId
+     * @brief Get the instance TypeId
+     * @return the instance TypeId
      */
     TypeId GetInstanceTypeId() const override;
 
     /**
-     * \brief TcpGeneralTest friend class (for tests).
-     * \relates TcpGeneralTest
+     * @brief TcpGeneralTest friend class (for tests).
+     * @relates TcpGeneralTest
      */
     friend class TcpGeneralTest;
 
@@ -235,13 +235,13 @@
     /**
      * Clone a TCP socket, for use upon receiving a connection request in LISTEN state
      *
-     * \param sock the original Tcp Socket
+     * @param sock the original Tcp Socket
      */
     TcpSocketBase(const TcpSocketBase& sock);
     ~TcpSocketBase() override;
 
     /**
-     * \brief Tcp Packet Types
+     * @brief Tcp Packet Types
      *
      * Taxonomy referred from Table 1 of
      * https://www.ietf.org/archive/id/draft-ietf-tcpm-generalized-ecn-15.txt
@@ -262,68 +262,68 @@
     // Set associated Node, TcpL4Protocol, RttEstimator to this socket
 
     /**
-     * \brief Set the associated node.
-     * \param node the node
+     * @brief Set the associated node.
+     * @param node the node
      */
     virtual void SetNode(Ptr<Node> node);
 
     /**
-     * \brief Set the associated TCP L4 protocol.
-     * \param tcp the TCP L4 protocol
+     * @brief Set the associated TCP L4 protocol.
+     * @param tcp the TCP L4 protocol
      */
     virtual void SetTcp(Ptr<TcpL4Protocol> tcp);
 
     /**
-     * \brief Set the associated RTT estimator.
-     * \param rtt the RTT estimator
+     * @brief Set the associated RTT estimator.
+     * @param rtt the RTT estimator
      */
     virtual void SetRtt(Ptr<RttEstimator> rtt);
 
     /**
-     * \brief Sets the Minimum RTO.
-     * \param minRto The minimum RTO.
+     * @brief Sets the Minimum RTO.
+     * @param minRto The minimum RTO.
      */
     void SetMinRto(Time minRto);
 
     /**
-     * \brief Get the Minimum RTO.
-     * \return The minimum RTO.
+     * @brief Get the Minimum RTO.
+     * @return The minimum RTO.
      */
     Time GetMinRto() const;
 
     /**
-     * \brief Sets the Clock Granularity (used in RTO calcs).
-     * \param clockGranularity The Clock Granularity
+     * @brief Sets the Clock Granularity (used in RTO calcs).
+     * @param clockGranularity The Clock Granularity
      */
     void SetClockGranularity(Time clockGranularity);
 
     /**
-     * \brief Get the Clock Granularity (used in RTO calcs).
-     * \return The Clock Granularity.
+     * @brief Get the Clock Granularity (used in RTO calcs).
+     * @return The Clock Granularity.
      */
     Time GetClockGranularity() const;
 
     /**
-     * \brief Get a pointer to the Tx buffer
-     * \return a pointer to the tx buffer
+     * @brief Get a pointer to the Tx buffer
+     * @return a pointer to the tx buffer
      */
     Ptr<TcpTxBuffer> GetTxBuffer() const;
 
     /**
-     * \brief Get a pointer to the Rx buffer
-     * \return a pointer to the rx buffer
+     * @brief Get a pointer to the Rx buffer
+     * @return a pointer to the rx buffer
      */
     Ptr<TcpRxBuffer> GetRxBuffer() const;
 
     /**
-     * \brief Set the retransmission threshold (dup ack threshold for a fast retransmit)
-     * \param retxThresh the threshold
+     * @brief Set the retransmission threshold (dup ack threshold for a fast retransmit)
+     * @param retxThresh the threshold
      */
     void SetRetxThresh(uint32_t retxThresh);
 
     /**
-     * \brief Get the retransmission threshold (dup ack threshold for a fast retransmit)
-     * \return the threshold
+     * @brief Get the retransmission threshold (dup ack threshold for a fast retransmit)
+     * @return the threshold
      */
     uint32_t GetRetxThresh() const
     {
@@ -331,158 +331,158 @@
     }
 
     /**
-     * \brief Callback pointer for pacing rate trace chaining
+     * @brief Callback pointer for pacing rate trace chaining
      */
     TracedCallback<DataRate, DataRate> m_pacingRateTrace;
 
     /**
-     * \brief Callback pointer for cWnd trace chaining
+     * @brief Callback pointer for cWnd trace chaining
      */
     TracedCallback<uint32_t, uint32_t> m_cWndTrace;
 
     /**
-     * \brief Callback pointer for cWndInfl trace chaining
+     * @brief Callback pointer for cWndInfl trace chaining
      */
     TracedCallback<uint32_t, uint32_t> m_cWndInflTrace;
 
     /**
-     * \brief Callback pointer for ssTh trace chaining
+     * @brief Callback pointer for ssTh trace chaining
      */
     TracedCallback<uint32_t, uint32_t> m_ssThTrace;
 
     /**
-     * \brief Callback pointer for congestion state trace chaining
+     * @brief Callback pointer for congestion state trace chaining
      */
     TracedCallback<TcpSocketState::TcpCongState_t, TcpSocketState::TcpCongState_t> m_congStateTrace;
 
     /**
-     * \brief Callback pointer for ECN state trace chaining
+     * @brief Callback pointer for ECN state trace chaining
      */
     TracedCallback<TcpSocketState::EcnState_t, TcpSocketState::EcnState_t> m_ecnStateTrace;
 
     /**
-     * \brief Callback pointer for high tx mark chaining
+     * @brief Callback pointer for high tx mark chaining
      */
     TracedCallback<SequenceNumber32, SequenceNumber32> m_highTxMarkTrace;
 
     /**
-     * \brief Callback pointer for next tx sequence chaining
+     * @brief Callback pointer for next tx sequence chaining
      */
     TracedCallback<SequenceNumber32, SequenceNumber32> m_nextTxSequenceTrace;
 
     /**
-     * \brief Callback pointer for bytesInFlight trace chaining
+     * @brief Callback pointer for bytesInFlight trace chaining
      */
     TracedCallback<uint32_t, uint32_t> m_bytesInFlightTrace;
 
     /**
-     * \brief Callback pointer for RTT trace chaining
+     * @brief Callback pointer for RTT trace chaining
      */
     TracedCallback<Time, Time> m_srttTrace;
 
     /**
-     * \brief Callback pointer for Last RTT trace chaining
+     * @brief Callback pointer for Last RTT trace chaining
      */
     TracedCallback<Time, Time> m_lastRttTrace;
 
     /**
-     * \brief Callback function to hook to TcpSocketState pacing rate
-     * \param oldValue old pacing rate value
-     * \param newValue new pacing rate value
+     * @brief Callback function to hook to TcpSocketState pacing rate
+     * @param oldValue old pacing rate value
+     * @param newValue new pacing rate value
      */
     void UpdatePacingRateTrace(DataRate oldValue, DataRate newValue) const;
 
     /**
-     * \brief Callback function to hook to TcpSocketState congestion window
-     * \param oldValue old cWnd value
-     * \param newValue new cWnd value
+     * @brief Callback function to hook to TcpSocketState congestion window
+     * @param oldValue old cWnd value
+     * @param newValue new cWnd value
      */
     void UpdateCwnd(uint32_t oldValue, uint32_t newValue) const;
 
     /**
-     * \brief Callback function to hook to TcpSocketState inflated congestion window
-     * \param oldValue old cWndInfl value
-     * \param newValue new cWndInfl value
+     * @brief Callback function to hook to TcpSocketState inflated congestion window
+     * @param oldValue old cWndInfl value
+     * @param newValue new cWndInfl value
      */
     void UpdateCwndInfl(uint32_t oldValue, uint32_t newValue) const;
 
     /**
-     * \brief Callback function to hook to TcpSocketState slow start threshold
-     * \param oldValue old ssTh value
-     * \param newValue new ssTh value
+     * @brief Callback function to hook to TcpSocketState slow start threshold
+     * @param oldValue old ssTh value
+     * @param newValue new ssTh value
      */
     void UpdateSsThresh(uint32_t oldValue, uint32_t newValue) const;
 
     /**
-     * \brief Callback function to hook to TcpSocketState congestion state
-     * \param oldValue old congestion state value
-     * \param newValue new congestion state value
+     * @brief Callback function to hook to TcpSocketState congestion state
+     * @param oldValue old congestion state value
+     * @param newValue new congestion state value
      */
     void UpdateCongState(TcpSocketState::TcpCongState_t oldValue,
                          TcpSocketState::TcpCongState_t newValue) const;
 
     /**
-     * \brief Callback function to hook to EcnState state
-     * \param oldValue old ecn state value
-     * \param newValue new ecn state value
+     * @brief Callback function to hook to EcnState state
+     * @param oldValue old ecn state value
+     * @param newValue new ecn state value
      */
     void UpdateEcnState(TcpSocketState::EcnState_t oldValue,
                         TcpSocketState::EcnState_t newValue) const;
 
     /**
-     * \brief Callback function to hook to TcpSocketState high tx mark
-     * \param oldValue old high tx mark
-     * \param newValue new high tx mark
+     * @brief Callback function to hook to TcpSocketState high tx mark
+     * @param oldValue old high tx mark
+     * @param newValue new high tx mark
      */
     void UpdateHighTxMark(SequenceNumber32 oldValue, SequenceNumber32 newValue) const;
 
     /**
-     * \brief Callback function to hook to TcpSocketState next tx sequence
-     * \param oldValue old nextTxSeq value
-     * \param newValue new nextTxSeq value
+     * @brief Callback function to hook to TcpSocketState next tx sequence
+     * @param oldValue old nextTxSeq value
+     * @param newValue new nextTxSeq value
      */
     void UpdateNextTxSequence(SequenceNumber32 oldValue, SequenceNumber32 newValue) const;
 
     /**
-     * \brief Callback function to hook to TcpSocketState bytes inflight
-     * \param oldValue old bytesInFlight value
-     * \param newValue new bytesInFlight value
+     * @brief Callback function to hook to TcpSocketState bytes inflight
+     * @param oldValue old bytesInFlight value
+     * @param newValue new bytesInFlight value
      */
     void UpdateBytesInFlight(uint32_t oldValue, uint32_t newValue) const;
 
     /**
-     * \brief Callback function to hook to TcpSocketState rtt
-     * \param oldValue old rtt value
-     * \param newValue new rtt value
+     * @brief Callback function to hook to TcpSocketState rtt
+     * @param oldValue old rtt value
+     * @param newValue new rtt value
      */
     void UpdateRtt(Time oldValue, Time newValue) const;
 
     /**
-     * \brief Callback function to hook to TcpSocketState lastRtt
-     * \param oldValue old lastRtt value
-     * \param newValue new lastRtt value
+     * @brief Callback function to hook to TcpSocketState lastRtt
+     * @param oldValue old lastRtt value
+     * @param newValue new lastRtt value
      */
     void UpdateLastRtt(Time oldValue, Time newValue) const;
 
     /**
-     * \brief Install a congestion control algorithm on this socket
+     * @brief Install a congestion control algorithm on this socket
      *
-     * \param algo Algorithm to be installed
+     * @param algo Algorithm to be installed
      */
     void SetCongestionControlAlgorithm(Ptr<TcpCongestionOps> algo);
 
     /**
-     * \brief Install a recovery algorithm on this socket
+     * @brief Install a recovery algorithm on this socket
      *
-     * \param recovery Algorithm to be installed
+     * @param recovery Algorithm to be installed
      */
     void SetRecoveryAlgorithm(Ptr<TcpRecoveryOps> recovery);
 
     /**
-     * \brief Mark ECT(0) codepoint
+     * @brief Mark ECT(0) codepoint
      *
-     * \param tos the TOS byte to modify
-     * \return TOS with ECT(0) codepoint set
+     * @param tos the TOS byte to modify
+     * @return TOS with ECT(0) codepoint set
      */
     inline uint8_t MarkEcnEct0(uint8_t tos) const
     {
@@ -490,10 +490,10 @@
     }
 
     /**
-     * \brief Mark ECT(1) codepoint
+     * @brief Mark ECT(1) codepoint
      *
-     * \param tos the TOS byte to modify
-     * \return TOS with ECT(1) codepoint set
+     * @param tos the TOS byte to modify
+     * @return TOS with ECT(1) codepoint set
      */
     inline uint8_t MarkEcnEct1(uint8_t tos) const
     {
@@ -501,10 +501,10 @@
     }
 
     /**
-     * \brief Mark CE codepoint
+     * @brief Mark CE codepoint
      *
-     * \param tos the TOS byte to modify
-     * \return TOS with CE codepoint set
+     * @param tos the TOS byte to modify
+     * @return TOS with CE codepoint set
      */
     inline uint8_t MarkEcnCe(uint8_t tos) const
     {
@@ -512,10 +512,10 @@
     }
 
     /**
-     * \brief Clears ECN bits from TOS
+     * @brief Clears ECN bits from TOS
      *
-     * \param tos the TOS byte to modify
-     * \return TOS without ECN bits
+     * @param tos the TOS byte to modify
+     * @return TOS without ECN bits
      */
     inline uint8_t ClearEcnBits(uint8_t tos) const
     {
@@ -523,10 +523,10 @@
     }
 
     /**
-     * \brief Checks if TOS has no ECN codepoints
+     * @brief Checks if TOS has no ECN codepoints
      *
-     * \param tos the TOS byte to check
-     * \return true if TOS does not have any ECN codepoints set; otherwise false
+     * @param tos the TOS byte to check
+     * @return true if TOS does not have any ECN codepoints set; otherwise false
      */
     inline bool CheckNoEcn(uint8_t tos) const
     {
@@ -534,10 +534,10 @@
     }
 
     /**
-     * \brief Checks for ECT(0) codepoint
+     * @brief Checks for ECT(0) codepoint
      *
-     * \param tos the TOS byte to check
-     * \return true if TOS has ECT(0) codepoint set; otherwise false
+     * @param tos the TOS byte to check
+     * @return true if TOS has ECT(0) codepoint set; otherwise false
      */
     inline bool CheckEcnEct0(uint8_t tos) const
     {
@@ -545,10 +545,10 @@
     }
 
     /**
-     * \brief Checks for ECT(1) codepoint
+     * @brief Checks for ECT(1) codepoint
      *
-     * \param tos the TOS byte to check
-     * \return true if TOS has ECT(1) codepoint set; otherwise false
+     * @param tos the TOS byte to check
+     * @return true if TOS has ECT(1) codepoint set; otherwise false
      */
     inline bool CheckEcnEct1(uint8_t tos) const
     {
@@ -556,10 +556,10 @@
     }
 
     /**
-     * \brief Checks for CE codepoint
+     * @brief Checks for CE codepoint
      *
-     * \param tos the TOS byte to check
-     * \return true if TOS has CE codepoint set; otherwise false
+     * @param tos the TOS byte to check
+     * @return true if TOS has CE codepoint set; otherwise false
      */
     inline bool CheckEcnCe(uint8_t tos) const
     {
@@ -567,11 +567,11 @@
     }
 
     /**
-     * \brief mark ECN code point
+     * @brief mark ECN code point
      *
-     * \param tos the TOS byte to modify
-     * \param codePoint the codepoint to use
-     * \return TOS with specified ECN code point
+     * @param tos the TOS byte to modify
+     * @param codePoint the codepoint to use
+     * @return TOS with specified ECN code point
      */
     inline uint8_t MarkEcnCodePoint(const uint8_t tos,
                                     const TcpSocketState::EcnCodePoint_t codePoint) const
@@ -580,33 +580,33 @@
     }
 
     /**
-     * \brief Set ECN mode of use on the socket
+     * @brief Set ECN mode of use on the socket
      *
-     * \param useEcn Mode of ECN to use.
+     * @param useEcn Mode of ECN to use.
      */
     void SetUseEcn(TcpSocketState::UseEcn_t useEcn);
 
     /**
-     * \brief Enable or disable pacing
-     * \param pacing Boolean to enable or disable pacing
+     * @brief Enable or disable pacing
+     * @param pacing Boolean to enable or disable pacing
      */
     void SetPacingStatus(bool pacing);
 
     /**
-     * \brief Enable or disable pacing of the initial window
-     * \param paceWindow Boolean to enable or disable pacing of the initial window
+     * @brief Enable or disable pacing of the initial window
+     * @param paceWindow Boolean to enable or disable pacing of the initial window
      */
     void SetPaceInitialWindow(bool paceWindow);
 
     /**
-     * \brief Checks if a TCP packet should be ECN-capable (ECT) according to the TcpPacketType and
+     * @brief Checks if a TCP packet should be ECN-capable (ECT) according to the TcpPacketType and
      * ECN mode.
      *
      * Currently, only Classic ECN and DCTCP ECN modes are supported, with
      * potential extensions for future modes (Ecnpp).
      *
-     * \param packetType The type of the TCP packet, represented by an enum TcpPacketType.
-     * \return true if the packet is ECN-capable (ECT), false otherwise.
+     * @param packetType The type of the TCP packet, represented by an enum TcpPacketType.
+     * @return true if the packet is ECN-capable (ECT), false otherwise.
      *
      * Reference: https://www.ietf.org/archive/id/draft-ietf-tcpm-generalized-ecn-15.txt (Table 1)
      */
@@ -644,9 +644,9 @@
     /**
      * TracedCallback signature for TCP packet transmission or reception events.
      *
-     * \param [in] packet The packet.
-     * \param [in] header The TcpHeader
-     * \param [in] socket This socket
+     * @param [in] packet The packet.
+     * @param [in] header The TcpHeader
+     * @param [in] socket This socket
      */
     typedef void (*TcpTxRxTracedCallback)(const Ptr<const Packet> packet,
                                           const TcpHeader& header,
@@ -655,11 +655,11 @@
     /**
      * TracedCallback signature for TCP packet retransmission events.
      *
-     * \param [in] packet The packet.
-     * \param [in] header The TcpHeader
-     * \param [in] localAddr The local address
-     * \param [in] peerAddr The peer/remote address
-     * \param [in] socket This socket
+     * @param [in] packet The packet.
+     * @param [in] header The TcpHeader
+     * @param [in] localAddr The local address
+     * @param [in] peerAddr The peer/remote address
+     * @param [in] socket This socket
      */
     typedef void (*RetransmissionCallback)(const Ptr<const Packet> packet,
                                            const TcpHeader& header,
@@ -701,51 +701,51 @@
     // Helper functions: Connection set up
 
     /**
-     * \brief Common part of the two Bind(), i.e. set callback and remembering local addr:port
+     * @brief Common part of the two Bind(), i.e. set callback and remembering local addr:port
      *
-     * \returns 0 on success, -1 on failure
+     * @returns 0 on success, -1 on failure
      */
     int SetupCallback();
 
     /**
-     * \brief Perform the real connection tasks: Send SYN if allowed, RST if invalid
+     * @brief Perform the real connection tasks: Send SYN if allowed, RST if invalid
      *
-     * \returns 0 on success
+     * @returns 0 on success
      */
     int DoConnect();
 
     /**
-     * \brief Schedule-friendly wrapper for Socket::NotifyConnectionSucceeded()
+     * @brief Schedule-friendly wrapper for Socket::NotifyConnectionSucceeded()
      */
     void ConnectionSucceeded();
 
     /**
-     * \brief Configure the endpoint to a local address. Called by Connect() if Bind() didn't
+     * @brief Configure the endpoint to a local address. Called by Connect() if Bind() didn't
      * specify one.
      *
-     * \returns 0 on success
+     * @returns 0 on success
      */
     int SetupEndpoint();
 
     /**
-     * \brief Configure the endpoint v6 to a local address. Called by Connect() if Bind() didn't
+     * @brief Configure the endpoint v6 to a local address. Called by Connect() if Bind() didn't
      * specify one.
      *
-     * \returns 0 on success
+     * @returns 0 on success
      */
     int SetupEndpoint6();
 
     /**
-     * \brief Complete a connection by forking the socket
+     * @brief Complete a connection by forking the socket
      *
      * This function is called only if a SYN received in LISTEN state. After
      * TcpSocketBase cloned, allocate a new end point to handle the incoming
      * connection and send a SYN+ACK to complete the handshake.
      *
-     * \param p the packet triggering the fork
-     * \param tcpHeader the TCP header of the triggering packet
-     * \param fromAddress the address of the remote host
-     * \param toAddress the address the connection is directed to
+     * @param p the packet triggering the fork
+     * @param tcpHeader the TCP header of the triggering packet
+     * @param fromAddress the address of the remote host
+     * @param toAddress the address the connection is directed to
      */
     virtual void CompleteFork(Ptr<Packet> p,
                               const TcpHeader& tcpHeader,
@@ -755,24 +755,24 @@
     // Helper functions: Transfer operation
 
     /**
-     * \brief Checks whether the given TCP segment is valid or not.
+     * @brief Checks whether the given TCP segment is valid or not.
      *
-     * \param seq the sequence number of packet's TCP header
-     * \param tcpHeaderSize the size of packet's TCP header
-     * \param tcpPayloadSize the size of TCP payload
-     * \return true if the TCP segment is valid
+     * @param seq the sequence number of packet's TCP header
+     * @param tcpHeaderSize the size of packet's TCP header
+     * @param tcpPayloadSize the size of TCP payload
+     * @return true if the TCP segment is valid
      */
     bool IsValidTcpSegment(const SequenceNumber32 seq,
                            const uint32_t tcpHeaderSize,
                            const uint32_t tcpPayloadSize);
 
     /**
-     * \brief Called by the L3 protocol when it received a packet to pass on to TCP.
+     * @brief Called by the L3 protocol when it received a packet to pass on to TCP.
      *
-     * \param packet the incoming packet
-     * \param header the packet's IPv4 header
-     * \param port the remote port
-     * \param incomingInterface the incoming interface
+     * @param packet the incoming packet
+     * @param header the packet's IPv4 header
+     * @param port the remote port
+     * @param incomingInterface the incoming interface
      */
     void ForwardUp(Ptr<Packet> packet,
                    Ipv4Header header,
@@ -780,12 +780,12 @@
                    Ptr<Ipv4Interface> incomingInterface);
 
     /**
-     * \brief Called by the L3 protocol when it received a packet to pass on to TCP.
+     * @brief Called by the L3 protocol when it received a packet to pass on to TCP.
      *
-     * \param packet the incoming packet
-     * \param header the packet's IPv6 header
-     * \param port the remote port
-     * \param incomingInterface the incoming interface
+     * @param packet the incoming packet
+     * @param header the packet's IPv6 header
+     * @param port the remote port
+     * @param incomingInterface the incoming interface
      */
     void ForwardUp6(Ptr<Packet> packet,
                     Ipv6Header header,
@@ -793,29 +793,29 @@
                     Ptr<Ipv6Interface> incomingInterface);
 
     /**
-     * \brief Called by TcpSocketBase::ForwardUp{,6}().
+     * @brief Called by TcpSocketBase::ForwardUp{,6}().
      *
      * Get a packet from L3. This is the real function to handle the
      * incoming packet from lower layers. This is
      * wrapped by ForwardUp() so that this function can be overloaded by daughter
      * classes.
      *
-     * \param packet the incoming packet
-     * \param fromAddress the address of the sender of packet
-     * \param toAddress the address of the receiver of packet (hopefully, us)
+     * @param packet the incoming packet
+     * @param fromAddress the address of the sender of packet
+     * @param toAddress the address of the receiver of packet (hopefully, us)
      */
     virtual void DoForwardUp(Ptr<Packet> packet,
                              const Address& fromAddress,
                              const Address& toAddress);
 
     /**
-     * \brief Called by the L3 protocol when it received an ICMP packet to pass on to TCP.
+     * @brief Called by the L3 protocol when it received an ICMP packet to pass on to TCP.
      *
-     * \param icmpSource the ICMP source address
-     * \param icmpTtl the ICMP Time to Live
-     * \param icmpType the ICMP Type
-     * \param icmpCode the ICMP Code
-     * \param icmpInfo the ICMP Info
+     * @param icmpSource the ICMP source address
+     * @param icmpTtl the ICMP Time to Live
+     * @param icmpType the ICMP Type
+     * @param icmpCode the ICMP Code
+     * @param icmpInfo the ICMP Info
      */
     void ForwardIcmp(Ipv4Address icmpSource,
                      uint8_t icmpTtl,
@@ -824,13 +824,13 @@
                      uint32_t icmpInfo);
 
     /**
-     * \brief Called by the L3 protocol when it received an ICMPv6 packet to pass on to TCP.
+     * @brief Called by the L3 protocol when it received an ICMPv6 packet to pass on to TCP.
      *
-     * \param icmpSource the ICMP source address
-     * \param icmpTtl the ICMP Time to Live
-     * \param icmpType the ICMP Type
-     * \param icmpCode the ICMP Code
-     * \param icmpInfo the ICMP Info
+     * @param icmpSource the ICMP source address
+     * @param icmpTtl the ICMP Time to Live
+     * @param icmpType the ICMP Type
+     * @param icmpCode the ICMP Code
+     * @param icmpInfo the ICMP Info
      */
     void ForwardIcmp6(Ipv6Address icmpSource,
                       uint8_t icmpTtl,
@@ -839,63 +839,63 @@
                       uint32_t icmpInfo);
 
     /**
-     * \brief Send as much pending data as possible according to the Tx window.
+     * @brief Send as much pending data as possible according to the Tx window.
      *
      * Note that this function did not implement the PSH flag.
      *
-     * \param withAck forces an ACK to be sent
-     * \returns the number of packets sent
+     * @param withAck forces an ACK to be sent
+     * @returns the number of packets sent
      */
     uint32_t SendPendingData(bool withAck = false);
 
     /**
-     * \brief Extract at most maxSize bytes from the TxBuffer at sequence seq, add the
+     * @brief Extract at most maxSize bytes from the TxBuffer at sequence seq, add the
      *        TCP header, and send to TcpL4Protocol
      *
-     * \param seq the sequence number
-     * \param maxSize the maximum data block to be transmitted (in bytes)
-     * \param withAck forces an ACK to be sent
-     * \returns the number of bytes sent
+     * @param seq the sequence number
+     * @param maxSize the maximum data block to be transmitted (in bytes)
+     * @param withAck forces an ACK to be sent
+     * @returns the number of bytes sent
      */
     virtual uint32_t SendDataPacket(SequenceNumber32 seq, uint32_t maxSize, bool withAck);
 
     /**
-     * \brief Send a empty packet that carries a flag, e.g., ACK
+     * @brief Send a empty packet that carries a flag, e.g., ACK
      *
-     * \param flags the packet's flags
+     * @param flags the packet's flags
      */
     virtual void SendEmptyPacket(uint8_t flags);
 
     /**
-     * \brief Send reset and tear down this socket
+     * @brief Send reset and tear down this socket
      */
     void SendRST();
 
     /**
-     * \brief Check if a sequence number range is within the rx window
+     * @brief Check if a sequence number range is within the rx window
      *
-     * \param head start of the Sequence window
-     * \param tail end of the Sequence window
-     * \returns true if it is in range
+     * @param head start of the Sequence window
+     * @param tail end of the Sequence window
+     * @returns true if it is in range
      */
     bool OutOfRange(SequenceNumber32 head, SequenceNumber32 tail) const;
 
     // Helper functions: Connection close
 
     /**
-     * \brief Close a socket by sending RST, FIN, or FIN+ACK, depend on the current state
+     * @brief Close a socket by sending RST, FIN, or FIN+ACK, depend on the current state
      *
-     * \returns 0 on success
+     * @returns 0 on success
      */
     int DoClose();
 
     /**
-     * \brief Peacefully close the socket by notifying the upper layer and deallocate end point
+     * @brief Peacefully close the socket by notifying the upper layer and deallocate end point
      */
     void CloseAndNotify();
 
     /**
-     * \brief Kill this socket by zeroing its attributes (IPv4)
+     * @brief Kill this socket by zeroing its attributes (IPv4)
      *
      * This is a callback function configured to m_endpoint in
      * SetupCallback(), invoked when the endpoint is destroyed.
@@ -903,7 +903,7 @@
     void Destroy();
 
     /**
-     * \brief Kill this socket by zeroing its attributes (IPv6)
+     * @brief Kill this socket by zeroing its attributes (IPv6)
      *
      * This is a callback function configured to m_endpoint in
      * SetupCallback(), invoked when the endpoint is destroyed.
